# -*- coding: utf-8 -*-
from os import makedirs
from os.path import exists

from loguru import logger

'''
    文件处理工具类
'''


def create_dir_not_exist(file_path):
    if not exists(file_path):
        logger.info("开始创建文件夹: {}", file_path)
        makedirs(file_path)
        logger.info("文件夹创建完成 {}", file_path)
